<template>
	<view>
		<web-view :src="requestPath+texturl"></web-view>
	</view>
</template>

<script>
	import {userAgreement,privacyPolicy} from '@/api/index'
	export default {
		data() {
			return {
				texturl:'',
				requestPath:uni.getStorageSync('requestPath')
			}
		},
		onLoad(option) {
			if(option.type){
				this.texturl=option.type
				// this.getuserAgreement()
				console.log(this.requestPath+this.texturl)
			}
		},
		methods: {
			getuserAgreement(){
				userAgreement().then(res=>{
					console.log(res)
					if(res.code==200){
						this.texturl=res.data
					}
				})
			},
			getprivacyPolicy(){
				getprivacyPolicy().then(res=>{
					console.log(res)
					if(res.code==200){
						this.texturl=res.data
					}
				})
			}
		}
	}
</script>

<style lang="scss" scoped>

</style>
